Bug 478918 - Review Request: globus-gssapi-error - Globus Toolkit - GSSAPI Error Library
Review Request: globus-gssapi-error - Globus Toolkit - GSSAPI Error Library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On: gpt 453848 453851 467239
Blocks: 478919
  Show dependency treegraph
 
Reported: 2009-01-05 19:55 EST by Mattias Ellert
Modified: 2009-05-25 17:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.5-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-25 17:13:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2009-01-05 19:55:28 EST
Spec URL: http://www.grid.tsl.uu.se/repos/globus/info/gssapi-error.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/gssapi-error-2.5-0.3.fc10.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The gssapi-error package contains:
GSSAPI Error Library

BuildRequires:	grid-packaging-tools
BuildRequires:	globus-common-devel >= 3
BuildRequires:	globus-gss-assist-devel >= 3
BuildRequires:	globus-core-devel >= 4

Based on the globus toolkit 4.2.1 release.
Comment 1 Mattias Ellert 2009-03-15 20:01:06 EDT
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/gssapi-error-2.5-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/gssapi-error.spec
Comment 2 Mattias Ellert 2009-04-17 09:44:51 EDT
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages

http://www.grid.tsl.uu.se/repos/globus/info/new/gssapi-error-2.5-1.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/gssapi-error.spec

Draft packaging guidelines for Globus packages are now available:
http://fedoraproject.org/wiki/PackagingDrafts/Globus
Comment 3 Thomas Sailer 2009-04-27 09:29:42 EDT
Source matches upstream:
diff -urN gssapi_error-2.5 gssapi_error-2.5-dl

Scratch Build fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1322463
globus-gss-assist-devel is missing
Comment 4 Mattias Ellert 2009-04-29 03:35:29 EDT
The upstream name of this package (gssapi-error) fails the "to common name" rule. Therefore I have changed it to have the globus- prefix like all the other globus packages. Patch for this is submitted upstream.

New version:

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-gssapi-error-2.5-2.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-gssapi-error.spec
Comment 6 Orcan Ogetbil 2009-05-21 17:01:15 EDT
I have reviewed the package. Everything seems good.

- rpmlint can be ignored:
   globus-gssapi-error-devel.x86_64: W: no-documentation

- koji rawhide build is fine:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1369237

------------------------------------------------------
This package (globus-gssapi-error) is APPROVED by oget
------------------------------------------------------
Comment 7 Mattias Ellert 2009-05-21 17:39:58 EDT
Thank you for the review.


New Package CVS Request
=======================
Package Name: globus-gssapi-error
Short Description: Globus Toolkit - GSSAPI Error Library
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:
Comment 8 Kevin Fenzi 2009-05-21 19:45:00 EDT
cvs done.
Comment 9 Fedora Update System 2009-05-22 01:02:40 EDT
globus-gssapi-error-2.5-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-gssapi-error-2.5-2.fc10
Comment 10 Fedora Update System 2009-05-22 01:02:45 EDT
globus-gssapi-error-2.5-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-gssapi-error-2.5-2.fc9
Comment 11 Fedora Update System 2009-05-22 01:02:49 EDT
globus-gssapi-error-2.5-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-gssapi-error-2.5-2.fc11
Comment 12 Fedora Update System 2009-05-25 17:13:11 EDT
globus-gssapi-error-2.5-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-05-25 17:15:19 EDT
globus-gssapi-error-2.5-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-25 17:23:49 EDT
globus-gssapi-error-2.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.